org.eclnt.jsfserver.defaultscreens

## Class BasePopup

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.BasePopup

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ModalPopup, ModelessPopup

      public abstract class BasePopup
      extends java.lang.Object
      implements java.io.Serializable

  Base classe for `ModalPopup` and `ModelessPopup`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `BasePopup.IPopupListener` Listener interface for "popup openers".
    `static interface` | `BasePopup.IPopupListener2`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `m_animationtype`
    `protected boolean` | `m_avoidfocussingofopener`
    `protected boolean` | `m_avoidfocussingofpopup`
    `protected java.lang.String` | `m_bgpaint`
    `protected java.lang.String` | `m_clientname`
    `protected boolean` | `m_closeonclickoutside`
    `protected boolean` | `m_closeonmouseactivity`
    `protected boolean` | `m_closeonmouseexit`
    `protected java.lang.String` | `m_contentReplace`
    `protected java.lang.String` | `m_contentReplaceDrillDown`
    `protected int` | `m_height`
    `protected int` | `m_id`
    `protected java.lang.String` | `m_image`
    `protected boolean` | `m_ismaximized`
    `protected boolean` | `m_isnew`
    `protected int` | `m_left`
    `protected java.lang.String` | `m_lefttopreference`
    `protected java.lang.Integer` | `m_opacity`
    `protected boolean` | `m_openasframe`
    `protected boolean` | `m_opened`
    `protected BasePopup` | `m_owner`
    `protected java.lang.String` | `m_page`
    `protected java.lang.String` | `m_persistid`
    `protected BasePopup.IPopupListener` | `m_popupListener`
    `protected java.lang.String` | `m_positionshift`
    `protected boolean` | `m_sizeableIfUndecorated`
    `protected boolean` | `m_startfromrootwindow`
    `protected java.lang.String` | `m_styleseq`
    `protected java.lang.String` | `m_title`
    `protected int` | `m_top`
    `protected boolean` | `m_undecorated`
    `protected boolean` | `m_updateisolation`
    `protected int` | `m_width`
    `protected int` | `m_windowstate`
    `protected boolean` | `m_withanimation`
    `static int` | `POS_CENTER` Special integer value that you can pass into left/top position for indicating that the popup is to be positioned within the center.
    `static java.lang.String` | `s_defaultBgpaint`
    `static int` | `WINDOWSTATE_ICONIFIED`
    `static int` | `WINDOWSTATE_MAXIMIZED`
    `static int` | `WINDOWSTATE_NORMAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasePopup()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close popup.
    `java.lang.String` | `getAnimationtype()` When a dialog opens up then some animation might directly be triggered.
    `boolean` | `getAvoidfocussingofopener()`
    `boolean` | `getAvoidfocussingofpopup()`
    `java.lang.String` | `getBgpaint()`
    `java.lang.String` | `getClientname()`
    `boolean` | `getCloseonclickoutside()`
    `boolean` | `getCloseonmouseactivity()` If set to true then the popup is closed when the user moves the mouse somewhere within the dialogs of the application.
    `boolean` | `getCloseonmouseexit()` If set to true then the popup is closed when the user leave the popup with the mouse.
    `java.lang.String` | `getContentReplace()`
    `java.lang.String` | `getContentReplaceDrillDown()`
    `int` | `getHeight()`
    `int` | `getId()`
    `java.lang.String` | `getImage()`
    `int` | `getIndex()`
    `boolean` | `getIsmaximized()`
    `boolean` | `getIsnew()`
    `int` | `getLeft()`
    `java.lang.String` | `getLefttopreference()`
    `java.lang.Integer` | `getOpacity()`
    `boolean` | `getOpenasframe()`
    `boolean` | `getOpened()`
    `BasePopup` | `getOwner()`
    `java.lang.String` | `getPage()`
    `java.lang.String` | `getPersistid()`
    `BasePopup.IPopupListener` | `getPopupListener()`
    `java.lang.String` | `getPositionShift()` Deprecated.
    `long` | `getRequestFocus()`
    `boolean` | `getSizeableIfUndecorated()`
    `boolean` | `getStartfromrootwindow()`
    `java.lang.String` | `getStyleseq()` By default style class "riscdialog_popup" is used for the dialog's background - but you can define a different style class to be used as well.
    `java.lang.String` | `getTitle()` Text that is shown as title.
    `int` | `getTop()`
    `boolean` | `getUndecorated()`
    `boolean` | `getUpdateIsolation()`
    `int` | `getWidth()`
    `int` | `getWindowstate()` Only applicable for frame-dialogs!
    `boolean` | `getWithanimation()` Not used anymore in the RISC client.
    `static void` | `initialize(java.lang.String defaultBgpaint)` Initialize popup look and feel settings - that are applied to all modal and modeless popup dialogs.
    `void` | `loadPersistedPosition()`
    `void` | `maximize(boolean value)`
    `void` | `onPopupClosedByUser(ActionEvent event)` Internal use only.
    `void` | `open(java.lang.String page, java.lang.String title, int width, int height, BasePopup.IPopupListener popupListener)` Open popup.
    `void` | `persistPosition()`
    `void` | `requestFocus()`
    `void` | `setAnimationtype(java.lang.String animationtype)`
    `void` | `setAvoidfocussingofopener(boolean avoidfocussingofopener)` By default a popup re-focusses the component that opened up the popup.
    `void` | `setAvoidfocussingofpopup(boolean value)` By default a popup dialog receives the focus when being opened.
    `void` | `setBgpaint(java.lang.String bgpaint)` By default the BGPAINT of the POPUP is defined by the `initialize(String)` method for all popups of the session.
    `void` | `setClientname(java.lang.String value)` The name that is used for identifying the client side popups for e.g. automated test software.
    `void` | `setCloseonclickoutside(boolean value)` If set to true then the popup is closed when the user clicks outside the popup window.
    `void` | `setCloseonmouseactivity(boolean closeonmouseactivity)`
    `void` | `setCloseonmouseexit(boolean closeonmouseexit)`
    `void` | `setContentReplace(java.lang.String value)`
    `void` | `setContentReplaceDrillDown(java.lang.String value)`
    `void` | `setHeight(int height)` Set the height in pixels.
    `void` | `setImage(java.lang.String value)`
    `void` | `setIndex(int index)`
    `void` | `setLeft(int left)` Set the "left"-coordinate of the popup.
    `void` | `setLefTopReferenceComponentId(java.lang.String value)` Pass element id that is the base for the xy-position calculation on client side.
    `void` | `setLefTopReferenceComponentIdBottom(java.lang.String value)` Pass element id that is the base for the xy-position calculation on client side.
    `void` | `setLefTopReferenceComponentIdTop(java.lang.String value)` Pass element id that is the base for the xy-position calculation on client side.
    `void` | `setLeftTopReferenceBottom()` The popup will be positioned on bottom of the component that triggered the opening of the popup.
    `void` | `setLeftTopReferenceCentered()` The popup will be opened in the center of the screen from which it was opened.
    `void` | `setLeftTopReferenceComponentIdCentered(java.lang.String value)` Pass element id that is the base for the xy-position calculation on client side.
    `void` | `setLeftTopReferenceComponentIdLeft(java.lang.String value)` Pass element id that is the base for the xy-position calculation on client side.
    `void` | `setLeftTopReferenceComponentIdOver(java.lang.String value)` Pass element id that is the base for the xy-position calculation on client side.
    `void` | `setLeftTopReferenceComponentIdRight(java.lang.String value)` Pass element id that is the base for the xy-position calculation on client side.
    `void` | `setLeftTopReferenceLeft()` The popup will be positioned on the left of the component that triggered the opening of the popup.
    `void` | `setLeftTopReferenceRight()` The popup will be positioned on the right of the component that triggered the opening of the popup.
    `void` | `setLeftTopReferenceTop()` The popup will be positioned on top of the component that triggered the opening of the popup.
    `void` | `setOpacity(java.lang.Integer opacity)` A dialog may be transparent so that the background of the popup shines through.
    `void` | `setOpened(boolean opened)`
    `void` | `setOwner(BasePopup value)`
    `void` | `setPage(java.lang.String page)`
    `void` | `setPersistid(java.lang.String persistid)`
    `void` | `setPopupListener(BasePopup.IPopupListener popupListener)`
    `void` | `setPositionShift(java.lang.String positionshift)` Deprecated.
    `void` | `setSizeableIfUndecorated(boolean sizeableIfUndecorated)` Only supported in HTML-RISC-Client: if a popup is defined to be undecorated, then this by default means that the user cannot resize it.
    `void` | `setStartfromrootwindow(boolean value)`
    `void` | `setStyleseq(java.lang.String styleseq)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setTop(int top)` Set the "top"-coordinate of the popup.
    `void` | `setUndecorated(boolean value)` Is set to true then the popup is rendered without border, titlebar and close button.
    `void` | `setUpdateIsolation(boolean updateisolation)` Sets the "updateisolation" attribute in the ROWINCLUDE that is internally managed for the popup.
    `void` | `setWidth(int width)` Set the width in pixels.
    `void` | `setWidthHeightToDesiredSize()` The width and the height is set to the size that is required by the popup content.
    `void` | `setWidthHeightToSizeOfReference()` The width an the height is set to the size of the component that is the reference of this popup dialog.
    `void` | `setWithanimation(boolean withanimation)` Not used anymore in the RISC client.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### WINDOWSTATE_NORMAL

          public static final int WINDOWSTATE_NORMAL

      See Also:
        Constant Field Values

    - #### WINDOWSTATE_ICONIFIED

          public static final int WINDOWSTATE_ICONIFIED

      See Also:
        Constant Field Values

    - #### WINDOWSTATE_MAXIMIZED

          public static final int WINDOWSTATE_MAXIMIZED

      See Also:
        Constant Field Values

    - #### s_defaultBgpaint

          public static java.lang.String s_defaultBgpaint

    - #### POS_CENTER

          public static int POS_CENTER

      Special integer value that you can pass into left/top position for indicating that the popup is to be positioned within the center.

    - #### m_id

          protected int m_id

    - #### m_opened

          protected boolean m_opened

    - #### m_undecorated

          protected boolean m_undecorated

    - #### m_sizeableIfUndecorated

          protected boolean m_sizeableIfUndecorated

    - #### m_page

          protected java.lang.String m_page

    - #### m_title

          protected java.lang.String m_title

    - #### m_left

          protected int m_left

    - #### m_top

          protected int m_top

    - #### m_width

          protected int m_width

    - #### m_height

          protected int m_height

    - #### m_windowstate

          protected int m_windowstate

    - #### m_lefttopreference

          protected java.lang.String m_lefttopreference

    - #### m_popupListener

          protected BasePopup.IPopupListener m_popupListener

    - #### m_contentReplace

          protected java.lang.String m_contentReplace

    - #### m_contentReplaceDrillDown

          protected java.lang.String m_contentReplaceDrillDown

    - #### m_isnew

          protected boolean m_isnew

    - #### m_ismaximized

          protected boolean m_ismaximized

    - #### m_closeonclickoutside

          protected boolean m_closeonclickoutside

    - #### m_closeonmouseexit

          protected boolean m_closeonmouseexit

    - #### m_closeonmouseactivity

          protected boolean m_closeonmouseactivity

    - #### m_startfromrootwindow

          protected boolean m_startfromrootwindow

    - #### m_owner

          protected BasePopup m_owner

    - #### m_updateisolation

          protected boolean m_updateisolation

    - #### m_openasframe

          protected boolean m_openasframe

    - #### m_image

          protected java.lang.String m_image

    - #### m_avoidfocussingofopener

          protected boolean m_avoidfocussingofopener

    - #### m_avoidfocussingofpopup

          protected boolean m_avoidfocussingofpopup

    - #### m_opacity

          protected java.lang.Integer m_opacity

    - #### m_withanimation

          protected boolean m_withanimation

    - #### m_animationtype

          protected java.lang.String m_animationtype

    - #### m_bgpaint

          protected java.lang.String m_bgpaint

    - #### m_positionshift

          protected java.lang.String m_positionshift

    - #### m_persistid

          protected java.lang.String m_persistid

    - #### m_clientname

          protected java.lang.String m_clientname

    - #### m_styleseq

          protected java.lang.String m_styleseq

  - ### Constructor Detail

    - #### BasePopup

          public BasePopup()

  - ### Method Detail

    - #### initialize

          public static void initialize(java.lang.String defaultBgpaint)

      Initialize popup look and feel settings - that are applied to all modal and modeless popup dialogs.

    - #### open

          public void open(java.lang.String page,
                           java.lang.String title,
                           int width,
                           int height,
                           BasePopup.IPopupListener popupListener)

      Open popup. Call this method prio to any other setting of popup attributes (e.g. width, height, ...).
      Parameters:
        `page` -
        `title` -
        `width` -
        `height` -
        `modalPopupListener` -

    - #### getId

          public int getId()

    - #### setAvoidfocussingofopener

          public void setAvoidfocussingofopener(boolean avoidfocussingofopener)

      By default a popup re-focusses the component that opened up the popup. E.g. if the popup was opened by a button then the button is focused when closing the popup. Sometimes you do not want the popup to actively re-focus the opener, e.g. if the opener is part of grid row (focussing a grid row automatically selects the corresponding grid item).

    - #### getAvoidfocussingofopener

          public boolean getAvoidfocussingofopener()

    - #### setAvoidfocussingofpopup

          public void setAvoidfocussingofpopup(boolean value)

      By default a popup dialog receives the focus when being opened. You may avoid this - as result the focus stays in the component that opens up the popup.

    - #### getAvoidfocussingofpopup

          public boolean getAvoidfocussingofpopup()

    - #### setImage

          public void setImage(java.lang.String value)

    - #### getImage

          public java.lang.String getImage()

    - #### setContentReplace

          public void setContentReplace(java.lang.String value)

    - #### getContentReplace

          public java.lang.String getContentReplace()

    - #### setContentReplaceDrillDown

          public void setContentReplaceDrillDown(java.lang.String value)

    - #### getContentReplaceDrillDown

          public java.lang.String getContentReplaceDrillDown()

    - #### getOpened

          public boolean getOpened()

    - #### setOpened

          public void setOpened(boolean opened)

    - #### getPage

          public java.lang.String getPage()

    - #### setPage

          public void setPage(java.lang.String page)

    - #### getTitle

          public java.lang.String getTitle()

      Text that is shown as title.

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### setLeft

          public void setLeft(int left)

      Set the "left"-coordinate of the popup. The coordinate is relative to the screen/dialog on top of which the popup is opened. - If using "setLeftTopReference" then the coordinate is relateive to this position.

    - #### getLeft

          public int getLeft()

    - #### setTop

          public void setTop(int top)

      Set the "top"-coordinate of the popup. The coordinate is relative to the screen/dialog on top of which the popup is opened. - If using "setLeftTopReference" then the coordinate is relateive to this position.

    - #### getTop

          public int getTop()

    - #### setWidth

          public void setWidth(int width)

      Set the width in pixels. If the popup should be sized by its content then do not set the width directly but use `setWidthHeightToDesiredSize()`.

    - #### getWidth

          public int getWidth()

    - #### setWidthHeightToDesiredSize

          public void setWidthHeightToDesiredSize()

      The width and the height is set to the size that is required by the popup content.

    - #### setWidthHeightToSizeOfReference

          public void setWidthHeightToSizeOfReference()

      The width an the height is set to the size of the component that is the reference of this popup dialog. The reference is the one that you may set by using `setLefTopReferenceComponentId(String)`.

    - #### setHeight

          public void setHeight(int height)

      Set the height in pixels. If the popup should be sized by its content then do not set the height directly but use `setWidthHeightToDesiredSize()`.

    - #### getHeight

          public int getHeight()

    - #### getWindowstate

          public int getWindowstate()

      Only applicable for frame-dialogs! Otherwise: 0.

    - #### getOwner

          public BasePopup getOwner()

    - #### setOwner

          public void setOwner(BasePopup value)

    - #### setStartfromrootwindow

          public void setStartfromrootwindow(boolean value)

    - #### getStartfromrootwindow

          public boolean getStartfromrootwindow()

    - #### setOpacity

          public void setOpacity(java.lang.Integer opacity)

      A dialog may be transparent so that the background of the popup shines through.
      Parameters:
        `opacity` - Value between 0 (fully transparent) and 100 (fully shown).

    - #### getOpacity

          public java.lang.Integer getOpacity()

    - #### getWithanimation

          public boolean getWithanimation()

      Not used anymore in the RISC client.

    - #### setWithanimation

          public void setWithanimation(boolean withanimation)

      Not used anymore in the RISC client.

    - #### getAnimationtype

          public java.lang.String getAnimationtype()

      When a dialog opens up then some animation might directly be triggered. Use the normal animation types, that are available with CaptainCasa. Default is null which means: "no animation".

    - #### setAnimationtype

          public void setAnimationtype(java.lang.String animationtype)

    - #### setClientname

          public void setClientname(java.lang.String value)

      The name that is used for identifying the client side popups for e.g. automated test software. If not explicitly set then the name of the page will be used.

    - #### getClientname

          public java.lang.String getClientname()

    - #### getLefttopreference

          public java.lang.String getLefttopreference()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### setLefTopReferenceComponentId

          public void setLefTopReferenceComponentId(java.lang.String value)

      Pass element id that is the base for the xy-position calculation on client side.

    - #### setLeftTopReferenceComponentIdRight

          public void setLeftTopReferenceComponentIdRight(java.lang.String value)

      Pass element id that is the base for the xy-position calculation on client side. The y-position is the top border of the refernced component, not the top as with `setLefTopReferenceComponentId(String)`. The x-position is the right border of the referenced component.
      Please note: you may always apply additional positioning information by using `setLeft(int)` and `setTop(int)`. This additional information is then calculated on top of the basic positioning.

    - #### setLeftTopReferenceRight

          public void setLeftTopReferenceRight()

      The popup will be positioned on the right of the component that triggered the opening of the popup.
      Please note: you may always apply additional positioning information by using `setLeft(int)` and `setTop(int)`. This additional information is then calculated on top of the basic positioning.

    - #### setLeftTopReferenceComponentIdLeft

          public void setLeftTopReferenceComponentIdLeft(java.lang.String value)

      Pass element id that is the base for the xy-position calculation on client side. The popup is positioned on the left of the component.
      Please note: you may always apply additional positioning information by using `setLeft(int)` and `setTop(int)`. This additional information is then calculated on top of the basic positioning.

    - #### setLeftTopReferenceLeft

          public void setLeftTopReferenceLeft()

      The popup will be positioned on the left of the component that triggered the opening of the popup.
      Please note: you may always apply additional positioning information by using `setLeft(int)` and `setTop(int)`. This additional information is then calculated on top of the basic positioning.

    - #### setLeftTopReferenceBottom

          public void setLeftTopReferenceBottom()

      The popup will be positioned on bottom of the component that triggered the opening of the popup.
      Please note: you may always apply additional positioning information by using `setLeft(int)` and `setTop(int)`. This additional information is then calculated on top of the basic positioning.

    - #### setLefTopReferenceComponentIdBottom

          public void setLefTopReferenceComponentIdBottom(java.lang.String value)

      Pass element id that is the base for the xy-position calculation on client side. The y-position is the bottom border of the refernced component, not the top as with `setLefTopReferenceComponentId(String)`.
      Please note: you may always apply additional positioning information by using `setLeft(int)` and `setTop(int)`. This additional information is then calculated on top of the basic positioning.

    - #### setLeftTopReferenceTop

          public void setLeftTopReferenceTop()

      The popup will be positioned on top of the component that triggered the opening of the popup.
      Please note: you may always apply additional positioning information by using `setLeft(int)` and `setTop(int)`. This additional information is then calculated on top of the basic positioning.

    - #### setLefTopReferenceComponentIdTop

          public void setLefTopReferenceComponentIdTop(java.lang.String value)

      Pass element id that is the base for the xy-position calculation on client side. THe popup is positioned above the component.
      Please note: you may always apply additional positioning information by using `setLeft(int)` and `setTop(int)`. This additional information is then calculated on top of the basic positioning.

    - #### setLeftTopReferenceCentered

          public void setLeftTopReferenceCentered()

      The popup will be opened in the center of the screen from which it was opened.
      Please note: you may always apply additional positioning information by using `setLeft(int)` and `setTop(int)`. This additional information is then calculated on top of the basic positioning.

    - #### setLeftTopReferenceComponentIdCentered

          public void setLeftTopReferenceComponentIdCentered(java.lang.String value)

      Pass element id that is the base for the xy-position calculation on client side. The popup is positioned on top of the center of the component.
      Please note: you may always apply additional positioning information by using `setLeft(int)` and `setTop(int)`. This additional information is then calculated on top of the basic positioning.

    - #### setLeftTopReferenceComponentIdOver

          public void setLeftTopReferenceComponentIdOver(java.lang.String value)

      Pass element id that is the base for the xy-position calculation on client side. The popup is positioned directly over the xy-position of the component, so that the popup's left-top corner is directly positioned on top of the left-top-corner of the component.
      Please note: you may always apply additional positioning information by using `setLeft(int)` and `setTop(int)`. This additional information is then calculated on top of the basic positioning.

    - #### setUndecorated

          public void setUndecorated(boolean value)

      Is set to true then the popup is rendered without border, titlebar and close button.

    - #### getUndecorated

          public boolean getUndecorated()

    - #### setSizeableIfUndecorated

          public void setSizeableIfUndecorated(boolean sizeableIfUndecorated)

      Only supported in HTML-RISC-Client: if a popup is defined to be undecorated, then this by default means that the user cannot resize it. You may override this behavior by defining this attribute to be true.

    - #### getSizeableIfUndecorated

          public boolean getSizeableIfUndecorated()

    - #### getUpdateIsolation

          public boolean getUpdateIsolation()

    - #### setUpdateIsolation

          public void setUpdateIsolation(boolean updateisolation)

      Sets the "updateisolation" attribute in the ROWINCLUDE that is internally managed for the popup. By setting "updateisolation" to true all events within the popup will not affect the re-rendering of non-popup areas. This improves server side performance within the request processing.

    - #### setCloseonclickoutside

          public void setCloseonclickoutside(boolean value)

      If set to true then the popup is closed when the user clicks outside the popup window. Only valid for modeless popups!

    - #### getCloseonclickoutside

          public boolean getCloseonclickoutside()

    - #### getCloseonmouseexit

          public boolean getCloseonmouseexit()

      If set to true then the popup is closed when the user leave the popup with the mouse. Only valid for modeless popups!

    - #### setCloseonmouseexit

          public void setCloseonmouseexit(boolean closeonmouseexit)

    - #### getCloseonmouseactivity

          public boolean getCloseonmouseactivity()

      If set to true then the popup is closed when the user moves the mouse somewhere within the dialogs of the application. This is usable for light weight popups e.g. only showing some message, which should disappear by the user "shaking the mouse"...

    - #### setCloseonmouseactivity

          public void setCloseonmouseactivity(boolean closeonmouseactivity)

    - #### getIsnew

          public boolean getIsnew()

    - #### getIsmaximized

          public boolean getIsmaximized()

    - #### getOpenasframe

          public boolean getOpenasframe()

    - #### getRequestFocus

          public long getRequestFocus()

    - #### requestFocus

          public void requestFocus()

    - #### getIndex

          public final int getIndex()

    - #### setIndex

          public final void setIndex(int index)

    - #### getStyleseq

          public java.lang.String getStyleseq()

      By default style class "riscdialog_popup" is used for the dialog's background - but you can define a different style class to be used as well.

    - #### setStyleseq

          public void setStyleseq(java.lang.String styleseq)

    - #### getBgpaint

          public java.lang.String getBgpaint()

    - #### setBgpaint

          public void setBgpaint(java.lang.String bgpaint)

      By default the BGPAINT of the POPUP is defined by the `initialize(String)` method for all popups of the session. But you can explicitly define a BGPAINT for the current popup.

    - #### setPositionShift

          @Deprecated
          public void setPositionShift(java.lang.String positionshift)

      Deprecated.
      This function is not supported within the RISC client anymore, due to transparent dialogs being much easier and much more straight forward implemented than in the Java Swing/FX client.

    - #### getPositionShift

          @Deprecated
          public java.lang.String getPositionShift()

      Deprecated.

    - #### close

          public void close()

      Close popup.

    - #### onPopupClosedByUser

          public void onPopupClosedByUser(ActionEvent event)

      Internal use only. This is the method called by the client when the user closes the popup using the close-corner-button of the popup.

    - #### maximize

          public void maximize(boolean value)

    - #### getPopupListener

          public BasePopup.IPopupListener getPopupListener()

    - #### setPopupListener

          public void setPopupListener(BasePopup.IPopupListener popupListener)

    - #### getPersistid

          public java.lang.String getPersistid()

    - #### setPersistid

          public void setPersistid(java.lang.String persistid)

    - #### persistPosition

          public void persistPosition()

    - #### loadPersistedPosition

          public void loadPersistedPosition()

Copyright © CaptainCasa Gmbh. All Rights Reserved.